Installing over ecryptfs-enabled system causes remove_extras to fail.

Bug #566552 reported by Evan on 2010-04-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ecryptfs-utils (Ubuntu)
Undecided
Unassigned
partman-target (Ubuntu)
Undecided
Unassigned
ubiquity (Ubuntu)
Undecided
Unassigned
user-setup (Ubuntu)
Undecided
Unassigned

Bug Description

Please accept a freeze exception for the following changes:
http://launchpadlibrarian.net/44894533/566552-partman-target.patch
http://launchpadlibrarian.net/44894572/566552-user-setup.patch
http://launchpadlibrarian.net/44894646/566552-ubiquity.patch

There exists a bug wherein if you install with an encrypted home directory, then install again without formatting / or /home, but do not elect to use an encrypted home directory, the installer will crash. This is because we do not clear files from the home directories in this partitioning method, and the ecryptfs-utils prerm fails when it sees ~/.ecryptfs. The solution is to force the user to use encrypted home if they used it in the previous system and are not removing their encrypted home directories.

This does not affect the alternate CDs as it requires ecryptfs-utils to be copied to the target system and removed, which ubiquity does as a result of the nature of its design.

I've tested this in a virtual machine with both the desktop CDs to make sure that it forces the selection to the encrypted home option, and to make sure that the install is able to complete successfully. I've also tested the changes with an alternate CD to make sure that it's unaffected.

The original report follows:
Binary package hint: ubiquity

I installed with the "encrypt my home directory" option enabled, then installed over top of that with automatic login enabled and the root partition marked as "do not format". This causes the ecryptfs-utils prerm to fail inside ubiquity, as ~/.ecryptfs exists (we don't delete it in clear_partitions).

This results in an error message (http://launchpadlibrarian.net/44809420/ecryptfs-fail.png), though the install otherwise completes. However, upon rebooting, logging into the system fails as .ecryptfs is present in a broken state.

Evan (ev) wrote :
Evan (ev) wrote :
Evan (ev) wrote :
Evan (ev) wrote :
Evan (ev) wrote :
Evan (ev) wrote :
Evan (ev) wrote :
Evan (ev) wrote :
Evan (ev) wrote :
description: updated
Changed in ubiquity (Ubuntu):
milestone: none → ubuntu-10.04
Evan (ev) on 2010-04-19
Changed in ecryptfs-utils (Ubuntu):
status: New → Invalid
Changed in partman-target (Ubuntu):
status: New → Fix Committed
Changed in ubiquity (Ubuntu):
status: New → Fix Committed
Changed in user-setup (Ubuntu):
status: New → Fix Committed
Evan (ev) wrote :
description: updated
Evan (ev) wrote :
Evan (ev) wrote :
description: updated
Steve Langasek (vorlon) wrote :

Is the freeze exception for the fact that we're in final freeze, or are there changes here that you wouldn't consider straightforward bugfixes?

Evan (ev) wrote :

The former. This is entirely a bug fix.

Steve Langasek (vorlon) wrote :

In that case, please upload directly to the queue, and we'll shout if something doesn't look right :)

Or is there something in here you're concerned about getting our eyeballs on sooner than Thursday?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-setup - 1.28ubuntu7

---------------
user-setup (1.28ubuntu7) lucid; urgency=low

  * Allow forcing the encrypted home option (LP: #566552).
 -- Evan Dandrea <email address hidden> Wed, 21 Apr 2010 17:18:02 +0100

Changed in user-setup (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-target - 64ubuntu9

---------------
partman-target (64ubuntu9) lucid; urgency=low

  * Notify user-setup that there is an encrypted home partition present
    (LP: #566552).
 -- Evan Dandrea <email address hidden> Wed, 21 Apr 2010 17:14:55 +0100

Changed in partman-target (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.2.21

---------------
ubiquity (2.2.21) lucid; urgency=low

  [ Evan Dandrea ]
  * Honor user-setup/force-encrypt-home (LP: #566552).
  * Check for LTS in the release name (LP: #558488).
  * Hide the keyboard query dialog when we encounter an error parsing
    the keymap decision tree (LP: #553087).
  * Fix broken comparisons against boolean debconf values (LP: #567749).
  * Return with the correct state value when a keyboard map is found
    (LP: #553087).
  * Update translations from Launchpad.
  * Automatic update of included source packages: debian-installer-utils
    1.72ubuntu5, partman-auto 89ubuntu7, partman-base 139ubuntu6,
    partman-target 64ubuntu9, tzsetup 1:0.26ubuntu9, user-setup
    1.28ubuntu7.

  [ Colin Watson ]
  * Handle new partman/confirm_nooverwrite question properly (LP: #556373).

  [ Mario Limonciello ]
  * In OEM user config, don't change the last page's button to "Install"
    to avoid confusion.
 -- Evan Dandrea <email address hidden> Fri, 23 Apr 2010 09:32:43 +0100

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers